<div class="example-container">
  <h2>To do</h2>

  <div
    cdkDropList
    #todoList="cdkDropList"
    [cdkDropListData]="avatars"
    [cdkDropListConnectedTo]="[doneList]"
    class="example-list"
    (cdkDropListDropped)="drop($event)">
    
    <div class="example-box" *ngFor="let item of avatars" cdkDrag>
      <avatar 
        [source]="item.url"
        class="user-avatar" 
        size="xs">
      </avatar>
      {{item.name}}
    </div>
  </div>
</div>

<div class="example-container">
  <h2>Done</h2>

  <div
    cdkDropList
    #doneList="cdkDropList"
    [cdkDropListData]="done"
    [cdkDropListConnectedTo]="[todoList]"
    class="example-list"
    (cdkDropListDropped)="drop($event)">
    <div class="example-box" *ngFor="let item of done" cdkDrag>
      <avatar 
        [source]="item.url"
        class="user-avatar" 
        size="xs">
      </avatar>
      {{item.name}}
    </div>
  </div>
</div>
